#version 330

uniform sampler2D firstTexture;
uniform sampler2D secondTexture; 

in float alpha;
flat in int tex_num;

out vec4 out_color;

void main(void)
{
	if (tex_num == 1)
	{
		out_color = texture(firstTexture, gl_PointCoord)*vec4(1.0, 0.8*alpha, 0.0, alpha);
	}
	else
	{
		out_color = texture(secondTexture, gl_PointCoord)*vec4(1.0, 0.8*alpha, 0.0, alpha);
	}

}
